"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const replace_flipper_requires_1 = require("./replace-flipper-requires");
const path_1 = require("path");
const sourceRootDir = (0, path_1.resolve)(__dirname, '..', '..');
function isExcludedPath(path) {
    return path.startsWith(sourceRootDir);
}
module.exports = () => ({
    visitor: {
        CallExpression(path, state) {
            if (isExcludedPath(state.file.opts.filename)) {
                return;
            }
            (0, replace_flipper_requires_1.tryReplaceFlipperRequire)(path);
        },
        Identifier(path, state) {
            if (isExcludedPath(state.file.opts.filename)) {
                return;
            }
            (0, replace_flipper_requires_1.tryReplaceGlobalReactUsage)(path);
        },
    },
});
//# sourceMappingURL=app-flipper-requires.js.map