"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@babel/types");
module.exports = () => ({
    name: 'skip-fsevents-dynamic-imports-on-win-and-linux',
    visitor: {
        CallExpression(path) {
            if (process.platform === 'darwin') {
                return;
            }
            const node = path.node;
            if (node.type === 'CallExpression' &&
                node.callee.type === 'Import' &&
                node.arguments.length === 1 &&
                node.arguments[0].type === 'StringLiteral') {
                const source = node.arguments[0].value;
                if (source === 'fsevents') {
                    path.replaceWith((0, types_1.identifier)('triggerReferenceError'));
                }
            }
        },
    },
});
//# sourceMappingURL=fsevents-dynamic-imports.js.map