"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const flipper_env_1 = __importDefault(require("./flipper-env"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
let selfChecksum;
function getSelfChecksum() {
    if (!selfChecksum) {
        selfChecksum = fs_extra_1.default
            .readFileSync(path_1.default.resolve(__dirname, '..', 'lib', 'checksum.txt'))
            .toString();
    }
    return selfChecksum;
}
function getCacheKey() {
    const key = [
        getSelfChecksum(),
        ...Object.entries(flipper_env_1.default)
            .sort(([name1, _value1], [name2, _value2]) => name1.localeCompare(name2))
            .map(([name, value]) => `${name}=${value}`),
    ].join('|');
    return key;
}
exports.default = getCacheKey;
//# sourceMappingURL=get-cache-key.js.map