"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bypassRequireCachePrefix = 'node:';
module.exports = () => ({
    name: 'change-require-to-electronRequire-in-electron-app',
    visitor: {
        CallExpression(path) {
            const node = path.node;
            if (node.type === 'CallExpression' &&
                node.callee.type === 'Identifier' &&
                node.callee.name === 'require' &&
                node.arguments.length === 1 &&
                node.arguments[0].type === 'StringLiteral') {
                const source = node.arguments[0].value;
                if (source.startsWith(bypassRequireCachePrefix)) {
                    node.arguments[0].value = source.substring(bypassRequireCachePrefix.length);
                }
            }
        },
    },
});
//# sourceMappingURL=prefixed-node-requires.js.map