"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const transform_1 = __importDefault(require("./transform"));
const get_cache_key_1 = __importDefault(require("./get-cache-key"));
const flipper_env_1 = __importDefault(require("./flipper-env"));
const presets = [
    [
        require('@babel/preset-env'),
        { targets: { electron: flipper_env_1.default.FLIPPER_ELECTRON_VERSION } },
    ],
];
const plugins = [
    require('./fsevents-dynamic-imports'),
    require('./electron-requires-main'),
    require('./fb-stubs'),
];
module.exports = {
    transform,
    getCacheKey: get_cache_key_1.default,
};
function transform({ filename, options, src, }) {
    return (0, transform_1.default)({ filename, options, src, presets, plugins });
}
//# sourceMappingURL=transform-main.js.map