"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const transform_1 = __importDefault(require("./transform"));
const get_cache_key_1 = __importDefault(require("./get-cache-key"));
const presets = [
    '@babel/preset-react',
    [
        '@babel/preset-env',
        {
            targets: {
                node: 'current',
            },
        },
    ],
];
const plugins = [
    require('./fsevents-dynamic-imports'),
    require('./electron-requires-server'),
    require('./plugin-flipper-requires'),
    require('./fb-stubs'),
];
module.exports = {
    transform,
    getCacheKey: get_cache_key_1.default,
};
function transform({ filename, options, src, }) {
    return (0, transform_1.default)({ filename, options, src, presets, plugins });
}
//# sourceMappingURL=transform-server-dev.js.map